Subject: bug#58841: repl ignores modules from the channel added to time-machine

From: Ludovic Courtès <[email-masked]>
Date: Sat, 05 Nov 2022 18:36:38 +0100

"alexander barakin (aka sash-kan)" <[email-masked]> skribis:

> On Sat, Nov 05, 2022 at 11:31:38AM +0100, Ludovic Courtès wrote:
>> 
>> This is a bug we should fix.
>
> btw, "shell" behaves similarly - only sees the "system" channel:
>
> $ guix time-machine --channels=channels.scm -- shell -- guix describe
> guix shell: warning: no packages specified; creating an empty

This command is running ‘guix describe’ with the ‘guix’ command that
happens to be in $PATH; in addition, the ‘shell’ bit does nothing, as
shown by the warning above.

What you probably meant is:

  guix time-machine -C channels.scm -- describe

HTH,
Ludo’.